I'm running Debian Lenny on one of my systems with kernel 2.6.22-rc3
built with kpkg, and I have used kpkg to make a deb of 2.6.22.1. The
problem is, when I try to install it yaird fails with:

yaird error: unrecognised line in /proc/bus/input/devices: U: Uniq=
(fatal)
mkinitrd.yaird failed to create initrd image.
Failed to create initrd image.

This happened to me once before with 2.6.21, and installing the deb on
an older kernel version (2.6.20.something) worked. I just never got
around to actually fixing the problem then and forgot about it.

Does anyone know where this is going wrong, or are there any
workarounds I can use?

--
Q: What do you say to a New Yorker with a job?
A: Big Mac, fries and a Coke, please!